> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overflow.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Refund

> Initiates a refund for the given contribution. Currently, we only support refunds for contributions less than $1000 over our API. Please contact support otherwise.



## OpenAPI

````yaml https://server.stage.overflow.co/api/docs/openapi.json post /api/v3/contributions/{contributionId}/initiate-refund
openapi: 3.0.0
info:
  title: Overflow Open API
  description: |

    The documentation for the Overflow Open APIs.

    To access the OpenAPI spec in JSON/YAML format, navigate to:

    * `/api/docs/openapi.json`
    * `/api/docs/openapi.yaml`
  version: '3.0'
  contact: {}
servers:
  - url: https://server.stage.overflow.co
    description: API server
security: []
tags: []
paths:
  /api/v3/contributions/{contributionId}/initiate-refund:
    post:
      tags:
        - Contributions
      summary: Initiate Refund
      description: >-
        Initiates a refund for the given contribution. Currently, we only
        support refunds for contributions less than $1000 over our API. Please
        contact support otherwise.
      operationId: OpenApiContributionsController_initiateRefund
      parameters:
        - name: contributionId
          required: true
          in: path
          description: The Id of the contribution to refund.
          schema:
            example: 2ea1ae03ca521e437db76d76
            type: string
      responses:
        '202':
          description: The cash contribution was successfully refunded.
          content:
            application/json:
              schema:
                type: string
        '400':
          description: >-
            Refunds are not supported for contributions greater than $1000.
            Please contact support.
        '401':
          description: You do not have permission to access this resource.
        '404':
          description: The contributtion was not found.
        '409':
          description: >-
            Refunds not supported for this processing gateway. Please contact
            support.
        '422':
          description: The cash contribution could not be refunded.
      security:
        - ClientId: []
          ApiKey: []
components:
  securitySchemes:
    ClientId:
      type: apiKey
      in: header
      name: x-client-id
      description: Client ID for API authentication
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for API authentication

````